package com.yihu.wlyy.entity.followup;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.yihu.wlyy.entity.IdEntity;

import javax.persistence.Entity;
import javax.persistence.Table;
import java.util.Date;

/**
 * 随访用药记录
 * @author hzp add 2016-12-07
 *
 */
@Entity
@Table(name = "wlyy_followup_drugs")
public class FollowupDrugs extends IdEntity {


	//随访ID
	private Long followupId;
	//药品代码
	private String drugsCode;
	//药品名称
	private String drugsName;
	//药品分组（糖尿病--胰岛特殊处理）
	private String drugsGroup;
	//次剂量
	private Double dose;
	//用药单位【字典MEASURE_UNIT_DICT】
	private String unit;
	//用药频率【字典RECIPE_FREQUENCY_DICT】
	private String frequency;
	//创建时间
	private Date createTime;

	public Long getFollowupId() {
		return followupId;
	}

	public void setFollowupId(Long followupId) {
		this.followupId = followupId;
	}

	public String getDrugsCode() {
		return drugsCode;
	}

	public void setDrugsCode(String drugsCode) {
		this.drugsCode = drugsCode;
	}

	public String getDrugsName() {
		return drugsName;
	}

	public void setDrugsName(String drugsName) {
		this.drugsName = drugsName;
	}

	public String getDrugsGroup() {
		return drugsGroup;
	}

	public void setDrugsGroup(String drugsGroup) {
		this.drugsGroup = drugsGroup;
	}

	public Double getDose() {
		return dose;
	}

	public void setDose(Double dose) {
		this.dose = dose;
	}

	public String getUnit() {
		return unit;
	}

	public void setUnit(String unit) {
		this.unit = unit;
	}

	public String getFrequency() {
		return frequency;
	}

	public void setFrequency(String frequency) {
		this.frequency = frequency;
	}

	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+08:00")
	public Date getCreateTime() {
		return createTime;
	}

	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}

}
